Name: libdvdcss
Version: 1.2.9
Release: alt1

Summary: A portable abstraction library for DVD decryption
License: GPL
Group: System/Libraries
Url: http://www.videolan.org/libdvdcss

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.bz2

# Put css.h %name.h to %_includedir/dvdcss
Patch0: %name-1.2.6-alt-more_headrs_makefile.patch
Patch1: libdvdcss-1.2.9-alt-tmpdir.patch

# Automatically added by buildreq on Mon May 08 2006
BuildRequires: doxygen linux-libc-headers

%description
This is a portable abstraction library for DVD decryption.

libdvdcss is part of the VideoLAN project, a full MPEG2 client/server
solution. The VideoLAN Client can also be used as a standalone program
to play MPEG2 streams from a hard disk or a DVD.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for building
%name-based software.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains development files required for building
statically linked %name-based software.

%def_disable static

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
%__autoreconf
%configure \
    %{subst_enable static}
%make_build

%install
%makeinstall

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%doc doc/html

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon May 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.9-alt1
- 1.2.9
- updated build dependencies

* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.8-alt1
- new version.
- don't package .la files.

* Thu Apr 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt2
- More headers for MPlayer build.

* Wed Mar 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt1
- 1.2.6

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Sat Nov 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Mon Jun 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1 

* Sun May 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0  

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.3-alt2
- Specfile major cleanup (policy enforcement).

* Tue Sep 17 2001 Rider <rider@altlinux.ru> 0.0.3-alt1
- 0.0.3
- devel, devel-static package

* Thu Sep 6 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- initial version
